



C








C



























C


      SUBROUTINE PAR000 (DONE)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INTEGER       IIN
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(60)) GOTO 998





      IF (OPTIN.EQ.'LINCOL') THEN
         CALL GVSNL6 (1)
         CALL SHOWTEXTIF ('?P_LINE1')
         CALL COL020 (IIN,' ')
         IF (IIN.NE.0) WIFPAR(71)=IIN





      ELSE IF (OPTIN.EQ.'LINMOD') THEN
         CALL GETINTPAR (72,1,0,50,'?P_LINMOD1','?P_LINMOD2')





      ELSE IF (OPTIN.EQ.'AA1OR3') THEN
         CALL GETINTPAR (1,1,0,1,'?P_AA1OR31','?P_AA1OR32')





      ELSE IF (OPTIN.EQ.'INSFLG') THEN
         CALL GETINTPAR (2,1,0,2,'?P_INSFLG1','?P_INSFLG2')





      ELSE IF (OPTIN.EQ.'VDWOVR') THEN
         CALL GETREALPAR (56,100.0,0.0,1.0E9,'?P_VDWOVR1','?P_VDWOVR2')





      ELSE IF (OPTIN.EQ.'DFBFAC') THEN
         CALL GETREALPAR (57,1.0,1.0,100.0,'?P_DFBFAC1','?P_DFBFAC2')





      ELSE IF (OPTIN.EQ.'NEICON') THEN
         CALL GETINTPAR (26,1,0,9999,'?P_NEICON1','?P_NEICON2')





      ELSE IF (OPTIN.EQ.'CYSCYS') THEN
         CALL GETINTPAR (123,1,0,1,'?P_CYSCYS1','?P_CYSCYS2')
      ELSE
         DONE=.FALSE.
      END IF



 998  CONTINUE


      RETURN
      END
      SUBROUTINE PARDGL (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INCLUDE       'DGLOOP.INC'
      INTEGER       GVFFFI, IIN, I
      LOGICAL       GVFIBN, DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(62)) GOTO 998





      IF (OPTIN.EQ.'USEACC') THEN
   12    CALL GVSNL6 (2)
         CALL SHOWTEXTIF ('?P_USEACC1')
         CALL I1PROMPT ('?P_USEACC2',WIFPAR(556))
         I=GVFFFI(1,IIN)
         IF (I.NE.0) THEN
            IF (GVFIBN(IIN,0,1)) THEN
               WIFPAR(556)=IIN
            ELSE
               CALL GVSTTE ('?P_TAGAIN')
               CALL FLUSHAHEAD
               GOTO 12
            END IF
         END IF





      ELSE IF (OPTIN.EQ.'LOWACC') THEN
         CALL GETREALPAR (557,100.0,0.0,1.0E9,'?P_LOWACC1','?P_LOWACC2')





      ELSE IF (OPTIN.EQ.'HGHACC') THEN
         CALL GETREALPAR (558,100.0,0.0,1.0E9,'?P_HGHACC1','?P_LOWACC2')





      ELSE IF (OPTIN.EQ.'DGCERR') THEN
         CALL GETREALPAR (52,100.0,0.0,10.0,'?P_DGCERR1','?P_DGCERR2')





      ELSE IF (OPTIN.EQ.'DGTERR') THEN
         CALL GETREALPAR (53,100.0,0.0,10.0,'?P_DGCERR1','?P_DGCERR2')





      ELSE IF (OPTIN.EQ.'DGSHWT') THEN
         CALL GETINTPAR (55,1,1,MAXDG,'?P_DGSHWT1','?P_DGSHWT2')





      ELSE IF (OPTIN.EQ.'DGCTYP') THEN
         CALL GETINTPAR (272,1,0,1,'?P_DGCTYP1','?P_DGCTYP2')





      ELSE IF (OPTIN.EQ.'ADDFIT') THEN
         CALL GETINTPAR (64,1,0,3,'?P_ADDFIT1','?P_ADDFIT2')





      ELSE IF (OPTIN.EQ.'MXCAER') THEN
         CALL GETREALPAR (65,100.0,0.1,10.0,'?P_MXCAER1','?P_MXCAER2')





      ELSE IF (OPTIN.EQ.'MXCADP') THEN
         CALL GETREALPAR (1521,100.0,0.1,10.0,'?P_MXCADP1','?P_MXCADP2')





      ELSE IF (OPTIN.EQ.'INANCH') THEN
         CALL GETINTPAR (70,1,2,5,'?P_INANCH1','?P_INANCH2')





      ELSE IF (OPTIN.EQ.'CNTERR') THEN
         CALL GETREALPAR (49,100.0,0.001,1000.0,'?P_DGCONT1',
     +    '?P_DGCONT2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARION (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INCLUDE       'SUGARS.INC'
      INCLUDE       'ESPACE.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(125)) GOTO 998





      IF (OPTIN.EQ.'ATOLAN') THEN
         CALL GETREALPAR (458,1.0,1.0,180.0,'?P_ATOLAN1','?P_ATOLAN2')





      ELSE IF (OPTIN.EQ.'LEVSYM') THEN
         CALL GETINTPAR (468,1,0,2,'?P_LEVSYM1','?P_LEVSYM2')





      ELSE IF (OPTIN.EQ.'LEXPLN') THEN
         CALL GETINTPAR (456,1,0,1,'?P_LEXPLN1','?P_LEXPLN2')





      ELSE IF (OPTIN.EQ.'LIMPDA') THEN
         CALL GETINTPAR (296,1,0,1000000,'?P_LIMPDA1','?P_LIMPDA2')





      ELSE IF (OPTIN.EQ.'MAXPDB') THEN
         CALL GETINTPAR (463,1,0,1000000,'?P_MAXPDB1','?P_MAXPDB2')





      ELSE IF (OPTIN.EQ.'NORVIO') THEN
         CALL GETINTPAR (465,1,0,10,'?P_NORVIO1','?P_NORVIO2')





      ELSE IF (OPTIN.EQ.'RESCUT') THEN
         CALL GETREALPAR (454,100.0,0.5,3.5,'?P_RESCUT1','?P_RESCUT2')





      ELSE IF (OPTIN.EQ.'SKPIHB') THEN
         CALL GETINTPAR (426,1,0,1,'?P_SKPIHB1','?P_SKPIHB2')





      ELSE IF (OPTIN.EQ.'SKPNOO') THEN
         CALL GETINTPAR (457,1,0,2,'?P_SKPNOO1','?P_SKPNOO2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARDRG (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(119)) GOTO 998





      IF (OPTIN.EQ.'ML2LIM') THEN
         CALL GETINTPAR (348,1,0,100000,'?P_ML2LIM1','?P_ML2LIM2')





      ELSE IF (OPTIN.EQ.'CHGTYP') THEN
         CALL GETINTPAR (351,1,1,4,'?P_CHGTYP1','?P_CHGTYP2')





      ELSE IF (OPTIN.EQ.'KILBAD') THEN
         CALL GETINTPAR (353,1,0,1,'?P_KILBAD1','?P_KILBAD2')





      ELSE IF (OPTIN.EQ.'SHOCRS') THEN
         CALL GETINTPAR (354,1,0,1,'?P_SHOCRS1','?P_SHOCRS2')





      ELSE IF (OPTIN.EQ.'HBODIS') THEN
         CALL GETREALPAR (481,100.0,1.0,10.0,'?P_DONACD1','?P_DONACD2')
         WIFPAR(484)=WIFPAR(481)-100





      ELSE IF (OPTIN.EQ.'BUMLN1') THEN
         CALL GETREALPAR (1283,100.0,-6.0,1.0,'?P_BUMLN11','?P_BUMLN12')





      ELSE IF (OPTIN.EQ.'BUMLN2') THEN
         CALL GETREALPAR (1284,100.0,-6.0,1.0,'?P_BUMLN21','?P_BUMLN22')





      ELSE IF (OPTIN.EQ.'BUMLN3') THEN
         CALL GETREALPAR (1285,100.0,-6.0,1.0,'?P_BUMLN31','?P_BUMLN32')





      ELSE IF (OPTIN.EQ.'BUMLN4') THEN
         CALL GETREALPAR (1286,100.0,-6.0,1.0,'?P_BUMLN41','?P_BUMLN42')





      ELSE IF (OPTIN.EQ.'BUMCO1') THEN
         CALL GETINTPAR (1287,1,1,360,'?P_BUMCO11','?P_BUMCO12')





      ELSE IF (OPTIN.EQ.'BUMCO2') THEN
         CALL GETINTPAR (1288,1,1,360,'?P_BUMCO21','?P_BUMCO22')





      ELSE IF (OPTIN.EQ.'BUMCO3') THEN
         CALL GETINTPAR (1289,1,1,360,'?P_BUMCO31','?P_BUMCO32')





      ELSE IF (OPTIN.EQ.'BUMCO4') THEN
         CALL GETINTPAR (1290,1,1,360,'?P_BUMCO41','?P_BUMCO42')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARMOD (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(113)) GOTO 998





      IF (OPTIN.EQ.'NSTEPS') THEN
         CALL GETINTPAR (73,1,0,1,'?P_NSTEPS1','?P_NSTEPS2')



      ELSE IF (OPTIN.EQ.'ALOBUM') THEN
         CALL GETREALPAR (56,100.0,0.0,1.0E9,'?P_ALOBUM1','?P_ALOBUM2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARRFM (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'REFMAC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(116)) GOTO 998





      IF (OPTIN.EQ.'INNAME') THEN
         CALL GETCHARPAR (RFMINN,4,'?M3431','?M3432')





      ELSE IF (OPTIN.EQ.'OUNAME') THEN
         CALL GETCHARPAR (RFMOUN,4,'?M3433','?M3432')





      ELSE IF (OPTIN.EQ.'MATRIX') THEN
         CALL GETREALPAR (1601,100.0,0.01,1.0,'?P_MATRIX1','?P_MATRIX2')





      ELSE IF (OPTIN.EQ.'NCYCLE') THEN
         CALL GETINTPAR (1602,1,0,100,'?RJ0001','?RJ0002')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARXRA (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(114)) GOTO 998





      IF (OPTIN.EQ.'SF-RES') THEN
         CALL GETREALPAR (274,100.0,0.5,25.0,'?P_SF-RES1','?P_SF-RES2')



      ELSE IF (OPTIN.EQ.'SF-USE') THEN
         CALL GETREALPAR (301,1.0,0.0,10000.0,'?P_SF-USE1','?P_SF-USE2')



      ELSE IF (OPTIN.EQ.'SFRUIS') THEN
         CALL GETREALPAR (1259,100.0,0.0,30.0,'?P_SFRUIS1','?P_SFRUIS2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARCNC (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(100)) GOTO 998





      IF (OPTIN.EQ.'CUTOF1') THEN
         CALL GETREALPAR (1150,100.0,0.0,10.0,'?P_CNCLOW1','?P_CNCLOW2')





      ELSE IF (OPTIN.EQ.'DAMPFC') THEN
         CALL GETREALPAR (1238,100.0,0.01,5.0,'?P_DAMPFC1','?P_DAMPFC2')
         WIFPAR(1150)=NINT(200.0+FLOAT(2*WIFPAR(1238)))
         CALL GVSTTR ('?M4765',FLOAT(WIFPAR(1150))/100.0)





      ELSE IF (OPTIN.EQ.'DISCAV') THEN
         CALL GETREALPAR (1080,100.0,0.1,5.0,'?P_DISCAV1','?P_DISCAV2')





      ELSE IF (OPTIN.EQ.'MINDIS') THEN
         CALL GETINTPAR (1152,1,1,1000,'?P_MINDIS1','?P_MINDIS2')





      ELSE IF (OPTIN.EQ.'USENOE') THEN
         CALL GETINTPAR (1153,1,0,1,'?P_USENOE1','?P_USENOE2')





      ELSE IF (OPTIN.EQ.'NUMOUT') THEN
         CALL GETINTPAR (1154,1,1,10000,'?P_NUMOUT1','?P_NUMOUT2')





      ELSE IF (OPTIN.EQ.'MAXNIT') THEN
         CALL GETINTPAR (1155,1,100,5000,'?P_MAXNIT1','?P_MAXNIT2')





      ELSE IF (OPTIN.EQ.'PDBXTC') THEN
         CALL GETINTPAR (1156,1,0,2,'?P_PDBXTC1','?P_PDBXTC2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARCON (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INTEGER       IIN
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE PARSCN (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(64)) GOTO 998





      IF (OPTIN.EQ.'HITBBF') THEN
         CALL GETINTPAR (271,1,0,4,'?P_HITBBF1','?P_MXCAER2')





      ELSE IF (OPTIN.EQ.'HITNAF') THEN
         CALL GETINTPAR (270,1,0,3,'?P_HITNAF1','?P_MXCAER2')





      ELSE IF (OPTIN.EQ.'HITOUT') THEN
         CALL GETINTPAR (77,1,0,2,'?P_HITOUT1','?P_MXCAER2')





      ELSE IF (OPTIN.EQ.'SCONTP') THEN
         CALL GETINTPAR (47,1,0,1,'?P_CONTYP1','?P_MXCAER2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARDGE (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(73)) GOTO 998





      IF (OPTIN.EQ.'DGEULP') THEN
         CALL GETREALPAR (37,100.0,0.01,10.0,'?P_DGEULP1','?P_DGEULP2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARQUA (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(65)) GOTO 998





      IF (OPTIN.EQ.'LEVOUT') THEN
         CALL GETINTPAR (280,1,0,2,'?P_LEVOUT1','?P_LEVOUT2')





      ELSE IF (OPTIN.EQ.'SKPNEI') THEN
         CALL GETINTPAR (284,1,0,1,'?P_SKPNEI1','?P_MXCAER2')





      ELSE IF (OPTIN.EQ.'WEIGHT') THEN
         CALL GETINTPAR (285,1,0,1,'?P_WEIGHT1','?P_MXCAER2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARBLD (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(67)) GOTO 998





      IF (OPTIN.EQ.'BLDTYP') THEN
         CALL GETINTPAR (41,1,0,1,'?P_BLDTYP1','?P_BLDTYP2')





      ELSE IF (OPTIN.EQ.'BLDPHI') THEN
         CALL GETINTPAR (42,1,-360,360,' ','?P_BLDPHI')





      ELSE IF (OPTIN.EQ.'BLDPSI') THEN
         CALL GETINTPAR (43,1,-360,360,' ','?P_BLDPSI')





      ELSE IF (OPTIN.EQ.'BLDOME') THEN
         CALL GETINTPAR (44,1,-360,360,' ','?P_BLDOME')



      ELSE IF (OPTIN.EQ.'HELIX ') THEN
         CALL SHOWTEXT ('?P_HELIX')
         WIFPAR(41)=1
         WIFPAR(42)=-57
         WIFPAR(43)=-57
         WIFPAR(44)=180



      ELSE IF (OPTIN.EQ.'SHEET '.OR.OPTIN.EQ.'STRAND') THEN
         CALL SHOWTEXT ('?P_SHEET')
         WIFPAR(41)=1
         WIFPAR(42)=-150
         WIFPAR(43)=150
         WIFPAR(44)=180



      ELSE IF (OPTIN(1:4).EQ.'3-10'.OR.OPTIN(1:4).EQ.'3/10') THEN
         CALL SHOWTEXT ('?P_3-10')
         WIFPAR(41)=1
         WIFPAR(42)=-50
         WIFPAR(43)=-20
         WIFPAR(44)=180
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARCOL (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INTEGER       GVFFFI, IIN, I
      LOGICAL       GVFIBN, DONE







      IF (OPTIN.EQ.MEN6COD(68)) GOTO 998
      DONE=.TRUE.





      IF (OPTIN.EQ.'LOWCOL') THEN
   20    CALL GVSNL6 (2)
         CALL SHOWTEXTIF ('?P_COLRNG')
         CALL I1PROMPT ('?P_LOWCOL',WIFPAR(38))
         I=GVFFFI(1,IIN)
         IF (I.NE.0) THEN
            IIN=MOD(IIN+36000,360)
            IF (IIN.EQ.0) IIN=360
            IF (GVFIBN(IIN,1,360)) THEN
               WIFPAR(38)=IIN
            ELSE
               CALL GVSTTE ('?P_TAGAIN')
               CALL SHOWTEXT ('?COLCOL')
               CALL FLUSHAHEAD
               GOTO 20
            END IF
         END IF





      ELSE IF (OPTIN.EQ.'HGHCOL') THEN
   30    CALL GVSNL6 (2)
         CALL SHOWTEXT ('?P_COLRNG')
         CALL I1PROMPT ('?P_HGHCOL',WIFPAR(39))
         I=GVFFFI(1,IIN)
         IF (I.NE.0) THEN
            IIN=MOD(IIN+36000,360)
            IF (IIN.EQ.0) IIN=360
            IF (GVFIBN(IIN,1,360)) THEN
               WIFPAR(39)=IIN
            ELSE
               CALL GVSTTE ('?P_TAGAIN')
               CALL SHOWTEXT ('?COLCOL')
               CALL FLUSHAHEAD
               GOTO 30
            END IF
         END IF
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARWAT (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      IF (OPTIN.EQ.MEN6COD(69)) GOTO 998
      DONE=.TRUE.





      IF (OPTIN.EQ.'NEWGRP') THEN
         CALL GETINTPAR (404,1,0,1,'?P_NEWGRP1','?P_NEWGRP2')





      ELSE IF (OPTIN.EQ.'NAYWAT') THEN
         CALL GETINTPAR (403,1,0,2,'?P_NAYWAT1','?P_NAYWAT2')





      ELSE IF (OPTIN.EQ.'NETDST') THEN
         CALL GETREALPAR (401,100.0,0.0,1.0E9,'?P_NETDST1','?P_NETDST2')





      ELSE IF (OPTIN.EQ.'PANIC ') THEN
         CALL GETREALPAR (472,1.0,0.0,10000.0,'?P_PANIC1','?P_PANIC2')





      ELSE IF (OPTIN.EQ.'VDWDST') THEN
         CALL GETREALPAR (56,100.0,0.0,1.0E9,'?P_VDWOVR1','?P_VDWOVR2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARPLT (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(70)) GOTO 998





      CALL GVSTT6 ('?M2818')



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARHBO (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(71)) GOTO 998





      IF (OPTIN.EQ.'DONACD') THEN
         CALL GETREALPAR (481,100.0,1.0,10.0,'?P_DONACD1','?P_DONACD2')





      ELSE IF (OPTIN.EQ.'HYDACD') THEN
         CALL GETREALPAR (484,100.0,0.5,10.0,'?P_HYDACD1','?P_HYDACD2')





      ELSE IF (OPTIN.EQ.'ANGERH') THEN
         CALL GETREALPAR (485,1.0,0.0,360.0,'?P_ANGERH1','?P_ANGERH2')





      ELSE IF (OPTIN.EQ.'ANGERA') THEN
         CALL GETREALPAR (486,1.0,0.0,360.0,'?P_ANGERA1','?P_ANGERA2')





      ELSE IF (OPTIN.EQ.'HBOTYP') THEN
         WIFPAR(487)=WIFPAR(487)-2
         CALL GETINTPAR (487,1,0,1,'?P_LINTYP1','?P_LINTYP2')
         WIFPAR(487)=WIFPAR(487)+2
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARMOM (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(72)) GOTO 998





      IF (OPTIN.EQ.'ANGLEM') THEN
         CALL GETREALPAR (7,1.0,0.1,360.0,' ','?P_ANGLE')





      ELSE IF (OPTIN.EQ.'WINDOW') THEN
         CALL GETINTPAR (8,1,3,999,' ','?P_WINDOW')





      ELSE IF (OPTIN.EQ.'PROPTY') THEN
         CALL HYD006
         CALL GETINTPAR (9,1,1,24,' ','?P_PROPTY')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARWAL (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(74)) GOTO 998
      IF (OPTIN.EQ.MEN6COD(75)) GOTO 998
      IF (OPTIN.EQ.MEN6COD(76)) GOTO 998
      IF (OPTIN.EQ.MEN6COD(77)) GOTO 998
      IF (OPTIN.EQ.MEN6COD(78)) GOTO 998
      IF (OPTIN.EQ.MEN6COD(79)) GOTO 998




      IF (OPTIN.EQ.'CHRSIZ') THEN
         CALL GETREALPAR (151,100.0,0.01,100.0,'?P_CHRSIZ1',
     +    '?P_CHRSIZ2')





      ELSE IF (OPTIN.EQ.'GAPOPE') THEN
         CALL GETREALPAR (371,100.0,-3.0,100.0,' ','?NEWP157')





      ELSE IF (OPTIN.EQ.'GAPELO') THEN
         CALL GETREALPAR (372,100.0,-3.0,100.0,' ','?NEWP158')





      ELSE IF (OPTIN.EQ.'LIMBOX') THEN
         CALL GETINTPAR (150,1,0,10000,'?P_LIMBOX1','?P_LIMBOX2')





      ELSE IF (OPTIN.EQ.'PRFOPE') THEN
         CALL GETREALPAR (373,100.0,-3.0,100.0,' ','?NEWP159')





      ELSE IF (OPTIN.EQ.'PRFELO') THEN
         CALL GETREALPAR (374,100.0,-3.0,100.0,' ','?NEWP160')





      ELSE IF (OPTIN.EQ.'RESLIN') THEN
         CALL GETINTPAR (152,1,0,10000,'?P_RESLIN1','?P_RESLIN2')





      ELSE IF (OPTIN.EQ.'SEQSCO') THEN
         CALL GETREALPAR (706,1.0,-3.0,100.0,'?M0404','?M0405')





      ELSE IF (OPTIN.EQ.'PRFSCO') THEN
         CALL GETREALPAR (707,1.0,-3.0,100.0,'?M0406','?M0405')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARNEU (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INCLUDE       'ESPACE.INC'
      INCLUDE       'NEURON.INC'
      INTEGER       I, GVFFFF
      REAL          RIN
      LOGICAL       GVFRIN, DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(80)) GOTO 998





      IF (OPTIN.EQ.'TEMPNW') THEN
   20    CALL GVSNL6 (2)
         CALL R1PROMPT ('?M4766',STEPSIZE)
         I=GVFFFF(1,RIN)
         IF (I.NE.0) THEN
            IF (GVFRIN(RIN,0.0001,SOFT_LIMIT)) THEN
               STEPSIZE=RIN
            ELSE
               CALL GVSTTE ('?P_TAGAIN')
               CALL FLUSHAHEAD
               GOTO 20
            END IF
         END IF





      ELSE IF (OPTIN.EQ.'TEMPNE') THEN
   30    CALL GVSNL6 (2)
         CALL R1PROMPT ('?NEWP161',TEMP_ERROR)
         I=GVFFFF(1,RIN)
         IF (I.NE.0) THEN
            IF (GVFRIN(RIN,1.0,10.0)) THEN
               TEMP_ERROR=RIN
            ELSE
               CALL GVSTTE ('?P_TAGAIN')
               CALL FLUSHAHEAD
               GOTO 30
            END IF
         END IF





      ELSE IF (OPTIN.EQ.'LINEAR') THEN
         IF (NEURAL_FLAG(3)) THEN
            CALL GVSTT6 ('?NEWT526')
            NEURAL_FLAG(3)=.FALSE.
         ELSE
            CALL GVSTT6 ('?NEWT527')
            NEURAL_FLAG(3)=.TRUE.
         END IF





      ELSE IF (OPTIN.EQ.'SMOOTH') THEN
         NEURAL_FLAG(1)=.NOT.NEURAL_FLAG(1)
         IF (NEURAL_FLAG(1)) THEN
            CALL GVSTT6 ('?NEWT528')
         ELSE
            CALL GVSTT6 ('?NEWT529')
         END IF





      ELSE IF (OPTIN.EQ.'ROBUST') THEN
         NEURAL_FLAG(4)=.NOT.NEURAL_FLAG(4)
         IF (NEURAL_FLAG(4)) THEN
            CALL GVSTT6 ('?NEWT530')
         ELSE
            CALL GVSTT6 ('?NEWT531')
         END IF
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARTRA (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(81)) GOTO 998





      IF (OPTIN.EQ.'PCWHAT') THEN
         CALL GETINTPAR (273,1,0,1,'?P_TRAJ1','?P_TRAJ2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARACC (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(82)) GOTO 998





      IF (OPTIN.EQ.'ACPREC') THEN
         CALL GETINTPAR (6,1,0,4,'?P_ACPREC1','?P_ACPREC2')





      ELSE IF (OPTIN.EQ.'WATRAD') THEN
         CALL GETREALPAR (29,100.0,0.001,100.0,'?P_WATRAD1',
     +    '?P_WATRAD2')





      ELSE IF (OPTIN.EQ.'OUTACC') THEN
         CALL GETINTPAR (298,1,0,1,'?P_OUTACC1','?P_OUTACC2')





      ELSE IF (OPTIN.EQ.'LIMBUR') THEN
         CALL GETREALPAR (59,1.0,0.001,10000.0,'?P_LIMBUR1',
     +    '?P_LIMBUR2')





      ELSE IF (OPTIN.EQ.'ACCTYP') THEN
         CALL GETINTPAR (79,1,0,1,'?P_ACCTYP1','?P_ACCTYP2')





      ELSE IF (OPTIN.EQ.'USESLF') THEN
         CALL GETINTPAR (461,1,0,1,'?P_USESLF1','?P_USESLF2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARSUP (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(83)) GOTO 998





      IF (OPTIN.EQ.'CUTPCT') THEN
         CALL GETINTPAR (176,1,1,100,'?P_CUTPCT1','?P_CUTPCT2')





      ELSE IF (OPTIN.EQ.'MINLEN') THEN
         CALL GETINTPAR (81,1,7,MAXAA,'?P_MINLEN1','?P_MINLEN2')





      ELSE IF (OPTIN.EQ.'MAXERR') THEN
         CALL GETREALPAR (82,100.0,0.1,1.0E9,'?P_MAXERR1','?P_MAXERR2')





      ELSE IF (OPTIN.EQ.'RMSERR') THEN
         CALL GETREALPAR (83,100.0,0.1,1.0E9,'?P_MAXERR1','?P_RMSERR2')





      ELSE IF (OPTIN.EQ.'LENHOM') THEN
         CALL GETINTPAR (421,1,0,99,'?P_LENHOM1','?P_LENHOM2')





      ELSE IF (OPTIN.EQ.'NONHEL') THEN
         CALL GETINTPAR (97,1,0,99,'?P_NONHEL1','?P_NONHEL2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARSOL (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INCLUDE       'SOLIDS.INC'
      INTEGER       IAT
      REAL          UPPER
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(111)) GOTO 998





      IF (OPTIN.EQ.'SOVDW-') THEN
         CALL GETREALPAR  (1245, 100.0, 0.1, 3.0, '?P_SOVDW1',
     +    '?P_SOVDW2')
         WIFPAR(1249)=0





      ELSE IF (OPTIN.EQ.'VDWFIX') THEN
         CALL GETREALPAR  (1249, 100.0, 0.1, 3.0, '?P_VDWFIX1',
     +    '?P_VDWFIX2')





      ELSE IF (OPTIN.EQ.'FOGDEN') THEN
         CALL GETREALPAR  (1254, 100.0, 0.0, 1.0, '?P_FOGDEN1',
     +    '?P_FOGDEN2')
         CALL X11PARM (15,NINT(FLOAT(WIFPAR(1254))/100.0))





      ELSE IF (OPTIN.EQ.'SHINY ') THEN
         CALL GETREALPAR  (1253, 100.0, 0.0, 1.0, '?P_SHINY1',
     +    '?P_SHINY2')
         SURSHI=FLOAT(WIFPAR(1253))/100.0
         CPKSHI=FLOAT(WIFPAR(1253))/100.0





      ELSE IF (OPTIN.EQ.'TRANSS') THEN
         CALL GETREALPAR  (1251, 100.0, 0.2, 1.0, '?P_TRANSS1',
     +    '?P_TRANSS2')
         SURTRA=0.01*FLOAT(WIFPAR(1251))





      ELSE IF (OPTIN.EQ.'TRANSP') THEN
         CALL GETREALPAR  (1250, 100.0, 0.2, 1.0, '?P_TRANSP1',
     +    '?P_TRANSP2')
         CPKTRA=0.01*FLOAT(WIFPAR(1250))





      ELSE IF (OPTIN.EQ.'STICKR') THEN
         IF (WIFPAR(1249).NE.0) THEN
            UPPER=0.01*FLOAT(WIFPAR(1249))
         ELSE
            UPPER=10.0
            DO 10 IAT=1,NUMATF
               IF (ISATOK(IAT)) THEN
                  UPPER=MIN(UPPER,VDWRAD(IAT))
               END IF
 10         CONTINUE
         END IF
         CALL GETREALPAR (1248,100.0,0.1,UPPER+0.0001,'?P_STICKR1',
     +    '?P_STICKR2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARREF (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(84)) GOTO 998





      IF (OPTIN.EQ.'FIXREF') THEN
         CALL GETINTPAR (113,1,1,100,'?P_FIXREF1','?P_FIXREF2')





      ELSE IF (OPTIN.EQ.'NCYCS ') THEN
         CALL GETINTPAR (124,1,1,100,'?P_NCYCS1','?P_NCYCS2')





      ELSE IF (OPTIN(1:5).EQ.'NITS ') THEN
         CALL GETINTPAR (125,1,2,100,'?P_NITS1','?P_NITS2')





      ELSE IF (OPTIN.EQ.'REFLEV') THEN
         CALL GETINTPAR (829,1,1,5,'?P_REFLEV1','?P_REFLEV2')





      ELSE IF (OPTIN.EQ.'USEBAD') THEN
         CALL GETINTPAR (971,1,0,1,'?P_USEBAD1','?P_USEBAD2')





      ELSE IF (OPTIN.EQ.'WRNLEV') THEN
         CALL GETINTPAR (76,1,1,1000,'?P_WRNLEV1','?P_WRNLEV2')





      ELSE IF (OPTIN(1:5).EQ.'ZSCO ') THEN
         CALL GETREALPAR (842,100.0,0.0,10.0,'?P_SFT11','?P_SFT12')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARGRE (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(87)) GOTO 998





      IF (OPTIN.EQ.'ARRCOL') THEN
         CALL GETINTPAR (25,1,0,360,'?M0761','?M0762')





      ELSE IF (OPTIN.EQ.'ARRFAC') THEN
         CALL GETREALPAR (3,100.0,-1.0E9,1.0E9,'?M0215','?M0216')





      ELSE IF (OPTIN.EQ.'ARRLIN') THEN
         CALL GETINTPAR (24,1,3,51,'?M0759','?M0760')





      ELSE IF (OPTIN.EQ.'ARRLNP') THEN
         CALL GETREALPAR (23,100.0,0.1,5.0,'?M0769','?M0770')





      ELSE IF (OPTIN.EQ.'ARRLNS') THEN
         CALL GETREALPAR (21,100.0,0.1,5.0,'?M0767','?M0768')





      ELSE IF (OPTIN.EQ.'ARRTHS') THEN
         CALL GETREALPAR (20,100.0,0.1,5.0,'?M0763','?M0764')





      ELSE IF (OPTIN.EQ.'ARRTHP') THEN
         CALL GETREALPAR (22,100.0,0.1,5.0,'?M0765','?M0766')





      ELSE IF (OPTIN.EQ.'RADIUS') THEN
         CALL GETREALPAR (92,100.0,0.0,5.0,'?P_RADIUS1','?P_RADIUS2')





      ELSE IF (OPTIN.EQ.'STICK ') THEN
         CALL GETREALPAR (93,100.0,0.0,4.0,'?P_STICK1','?P_STICK2')





      ELSE IF (OPTIN.EQ.'LINES ') THEN
         CALL GETINTPAR (94,1,3,51,'?P_LINES1','?P_LINES2')
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE PARGRI (DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      DONE=.TRUE.
      IF (OPTIN.EQ.MEN6COD(85)) GOTO 998





      IF (OPTIN.EQ.'ALHY  ') THEN
         IF (WIFPAR(228).EQ.0) THEN
            CALL GVSTT6 ('?R00132A')
            GOTO 998
         END IF
         CALL GETREALPAR (226,1000.0,0.01,2.0,'?R00128','ALHY')





      ELSE IF (OPTIN.EQ.'EFHY  ') THEN
         IF (WIFPAR(228).EQ.0) THEN
            CALL GVSTT6 ('?R00132A')
            GOTO 998
         END IF
         CALL GETREALPAR (227,1000.0,0.1,9.0,'?R00129','EFHY')





      ELSE IF (OPTIN.EQ.'IHVA  ') THEN
         CALL GETINTPAR (228,1,0,1,'?R00130','IHVA')





      ELSE IF (OPTIN.EQ.'LEVN ') THEN
         CALL GETINTPAR (229,1,-2,6,'?R00131','LEVN')





      ELSE IF (OPTIN.EQ.'MOVE  ') THEN
         CALL GETINTPAR (1279,1,0,1,'?R00139B','MOVE')





      ELSE IF (OPTIN.EQ.'QQHY  ') THEN
         IF (WIFPAR(228).EQ.0) THEN
            CALL GVSTT6 ('?R00132A')
            GOTO 998
         END IF
         CALL GETREALPAR (230,1000.0,-9.5,9.5,'?R00132','QQHY')





      ELSE IF (OPTIN.EQ.'VDHY  ') THEN
         IF (WIFPAR(228).EQ.0) THEN
            CALL GVSTT6 ('?R00132A')
            GOTO 998
         END IF
         CALL GETREALPAR (231,1000.0,0.009,2.0,'?R00133','VDHY')





      ELSE IF (OPTIN.EQ.'IHAC  ') THEN
         CALL GETINTPAR (1278,1,0,1,'?R00139A','IHAC')





      ELSE IF (OPTIN.EQ.'CLER  ') THEN
         CALL GETREALPAR (236,1000.0,2.0,100.0,'?R00134','CLER')





      ELSE IF (OPTIN.EQ.'DEEP  ') THEN
         CALL GETREALPAR (1280,1.0,-1000.0,-1.0,'?R00139C','DEEP')





      ELSE IF (OPTIN.EQ.'DPRO  ') THEN
         CALL GETREALPAR (237,1000.0,1.0,120.0,'?R00135','DPRO')





      ELSE IF (OPTIN.EQ.'DWAT  ') THEN
         CALL GETREALPAR (238,1.0,1.0,160.0,'?R00136','DWAT')





      ELSE IF (OPTIN.EQ.'EMAX  ') THEN
         CALL GETREALPAR (239,1.0,5.0,500.0,'?R00137','EMAX')





      ELSE IF (OPTIN.EQ.'FARH  ') THEN
         CALL GETREALPAR (240,1000.0,3.0,10.0,'?R00138','FARH')





      ELSE IF (OPTIN.EQ.'FARR  ') THEN
         CALL GETREALPAR (241,1000.0,3.0,100.0,'?R00139','FARR')





      ELSE IF (OPTIN.EQ.'KWIK  ') THEN
         CALL GETINTPAR (242,1,0,1,'?R00140','KWIK')





      ELSE IF (OPTIN.EQ.'LENG  ') THEN
         CALL GETINTPAR (243,1,0,501,'?R00141','LENG')





      ELSE IF (OPTIN.EQ.'LEVD  ') THEN
         CALL GETINTPAR (244,1,-2,5,'?R00142','LEVD')





      ELSE IF (OPTIN.EQ.'LIST  ') THEN
         CALL GETINTPAR (245,1,0,1,'?R00143','LIST')





      ELSE IF (OPTIN.EQ.'MOVG  ') THEN
         CALL GETINTPAR (1281,1,-1000,1000,'?R00139D','MOVG')





      ELSE IF (OPTIN.EQ.'NETA  ') THEN
         CALL GETINTPAR (246,1,1,MAXAT,'?R00144','NETA')





      ELSE IF (OPTIN.EQ.'NPLA  ') THEN
         CALL GETINTPAR (247,1,1,5,'?R00145','NPLA')





      ELSE IF (OPTIN.EQ.'NUMB  ') THEN
         CALL GETINTPAR (248,1,0,10,'?R00146','NUMB')





      ELSE IF (OPTIN.EQ.'POSI  ') THEN
         CALL GETINTPAR (1282,1,0,100000,'?R00139E','POSI')





      ELSE IF (OPTIN.EQ.'SECLOW') THEN
         CALL GETINTPAR (249,1,0,WIFPAR(250),'?R00147','SECLOW')





      ELSE IF (OPTIN.EQ.'SECHGH') THEN
         CALL GETINTPAR (250,1,WIFPAR(249),MAXGRD,'?R00148','SECHGH')





      ELSE IF (OPTIN.EQ.'SHOPAR') THEN
         CALL GVSTT6 ('?R00149')
         CALL GVSTTR ('  ALHY   ',WIFPAR(226)/1000.0)
         CALL GVSTTR ('  EFHY   ',WIFPAR(227)/1000.0)
         CALL GVSTTI ('  IHVA   ',WIFPAR(228))
         CALL GVSTTI ('  IHAC   ',WIFPAR(1278))
         CALL GVSTTI ('  MOVE   ',WIFPAR(1279))
         CALL GVSTTR ('  QQHY   ',WIFPAR(230)/1000.0)
         CALL GVSTTR ('  VDHY   ',WIFPAR(231)/1000.0)
         CALL GVSTTI ('  LEVN   ',WIFPAR(244))
         CALL GVSNL6 (1)

         CALL GVSTT6 ('?R00151')
         CALL GVSTTR (' CLER  ',WIFPAR(236)/1000.0)
         CALL GVSTTR (' DPRO  ',WIFPAR(237)/1000.0)
         CALL GVSTTR (' DWAT  ',FLOAT(WIFPAR(238)))
         CALL GVSTTR (' EMAX  ',FLOAT(WIFPAR(239)))
         CALL GVSTTR (' FARH  ',WIFPAR(240)/1000.0)
         CALL GVSTTR (' FARR  ',WIFPAR(241)/1000.0)
         CALL GVSTTR (' DEEP  ',FLOAT(WIFPAR(1280)))
         CALL GVSTTI (' KWIK  ',WIFPAR(242))
         CALL GVSTTI (' LENG  ',WIFPAR(243))
         CALL GVSTTI (' LEVD  ',WIFPAR(244))
         CALL GVSTTI (' LIST  ',WIFPAR(245))
         CALL GVSTTI (' MOVG  ',WIFPAR(1281))
         CALL GVSTTI (' NETA  ',WIFPAR(246))
         CALL GVSTTI (' NPLA  ',WIFPAR(247))
         CALL GVSTTI (' NUMB  ',WIFPAR(248))
         CALL GVSTTI (' SECLOW',WIFPAR(249))
         CALL GVSTTI (' SECHGH',WIFPAR(250))
      ELSE
         DONE=.FALSE.
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GETREALPAR (PARNB,STOFAC,PARLOW,PARHGH,HTEXT,
     + PTEXT)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       PARNB, I, GVFFFF, GVFLEN
      REAL          STOFAC, STOUSE, PARLOW, PARHGH, RIN
      CHARACTER*(*) HTEXT, PTEXT
      CHARACTER*80  LOCLIN
      LOGICAL       GVFRIN







      IF (ABS(STOFAC).LT.0.1) THEN
         CALL GVSTTB ('?M0210')
         STOUSE=1.0
      ELSE
         STOUSE=STOFAC
      END IF



      CALL GVSNL6 (1)
      IF (GVFLEN(HTEXT).GT.0) CALL SHOWTEXTIF (HTEXT)



   10 CONTINUE
      CALL R1PROMPT (PTEXT,FLOAT(WIFPAR(PARNB))/STOUSE)



      I=GVFFFF(1,RIN)
      IF (I.NE.0) THEN
         IF (GVFRIN(RIN,PARLOW,PARHGH)) THEN
            WIFPAR(PARNB)=NINT(RIN*STOUSE)
         ELSE
            IF (PARLOW.GT.-1.0E9) THEN
               IF (PARHGH.LT.1.0E9) THEN
                  CALL GVSFMT ('?R00152')
                  WRITE (LOCLIN,FMT,ERR=100) PARLOW,PARHGH
               ELSE
                  CALL GVSFMT ('?R00153')
                  WRITE (LOCLIN,FMT,ERR=100) PARLOW
               END IF
            ELSE
               IF (PARHGH.LT.1.0E9) THEN
                  CALL GVSFMT ('?R00154')
                  WRITE (LOCLIN,FMT,ERR=100) PARHGH
               ELSE
                  CALL GVSFMT ('?R00155')
                  WRITE (LOCLIN,FMT,ERR=100) 
               END IF
            END IF
            CALL GVSRDB (LOCLIN)
            CALL GVSTT6 (LOCLIN)
            CALL GVSNL6 (1)
  100       CALL GVSTTE ('?P_TAGAIN')
            CALL GVSNL6 (1)
            CALL FLUSHAHEAD
            GOTO 10
         END IF
      END IF





      RETURN
      END   
      SUBROUTINE GETINTPAR (PARNB,STOFAC,PARLOW,PARHGH,HTEXT,
     + PTEXT)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       PARNB, I, GVFFFF, STOFAC, STOUSE, PARLOW,
     +              PARHGH, IIN, GVFLEN
      REAL          RIN
      CHARACTER*(*) HTEXT, PTEXT
      CHARACTER*80  LOCLIN
      LOGICAL       GVFIBN







      IF (STOFAC.LE.0) THEN
         CALL GVSTTB ('?M0210')
         STOUSE=1
      ELSE
         STOUSE=STOFAC
      END IF



      CALL GVSNL6 (1)
      IF (GVFLEN(HTEXT).GT.0) THEN
         CALL SHOWTEXTIF (HTEXT)
         CALL GVSNL6 (1)
      END IF



   10 CONTINUE
      CALL I1PROMPT (PTEXT,WIFPAR(PARNB)/STOUSE)



      I=GVFFFF(1,RIN)
      IIN=NINT(RIN*FLOAT(STOUSE))

      IF (I.NE.0) THEN
         IF (GVFIBN(IIN,PARLOW*STOUSE,PARHGH*STOUSE)) THEN
            WIFPAR(PARNB)=IIN
         ELSE
            IF (PARLOW.GT.-1.0E9) THEN
               IF (PARHGH.LT.1.0E9) THEN
                  CALL GVSFMT ('?R00156')
                  WRITE (LOCLIN,FMT,ERR=100) PARLOW,PARHGH
               ELSE
                  CALL GVSFMT ('?R00157')
                  WRITE (LOCLIN,FMT,ERR=100) PARLOW
               END IF
            ELSE
               IF (PARHGH.LT.1.0E9) THEN
                  CALL GVSFMT ('?R00158')
                  WRITE (LOCLIN,FMT,ERR=100) PARHGH
               ELSE
                  CALL GVSFMT ('?R00155')
                  WRITE (LOCLIN,FMT,ERR=100) 
               END IF
            END IF
            CALL GVSRDB (LOCLIN)
            CALL GVSTT6 (LOCLIN)
            CALL GVSNL6 (1)
  100       CALL GVSTTE ('?P_TAGAIN')
            CALL GVSNL6 (1)
            CALL FLUSHAHEAD
            GOTO 10
         END IF
      END IF





      RETURN
      END   
      SUBROUTINE GETCHARPAR (PARTXT,LENTXT,HTEXT,PTEXT)

















      IMPLICIT      NONE
      INTEGER       GVFLEN, IERR, LENTXT
      CHARACTER*(*) PARTXT, HTEXT, PTEXT
      CHARACTER*80  LOCLIN







 10   CONTINUE
      CALL GVSCTB (LOCLIN,80)
      IERR=0



      CALL SHOWTEXT (HTEXT)
      CALL GVST6C ('?M3427',PARTXT,.TRUE.)
      CALL IPROMPT (PTEXT)



      CALL GETWORD (LOCLIN,IERR)



      IF (GVFLEN(LOCLIN).GT.LENTXT) THEN
         CALL GVSTTI ('?M3429',LENTXT)
         GOTO 10



      ELSE IF (GVFLEN(LOCLIN).LE.0) THEN
         CALL GVSTT6 ('?M3428')
         GOTO 998



      ELSE IF (LOCLIN(1:2).EQ.'0 ') THEN
         IERR=2
         GOTO 998



      ELSE IF (IERR.NE.0) THEN
         CALL GVSTT6 ('?M3430')
         IERR=1
         GOTO 999
      END IF



      CALL GVSCTB (PARTXT,LEN(PARTXT))
      CALL GVSSTX (PARTXT,LOCLIN(1:LENTXT))
      GOTO 998



  999 CONTINUE
      CALL GVSEIW ('GETCHARPAR')



  998 CONTINUE


      RETURN
      END   
